package com.ruoyi.frequency.mallgoodstype.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.frequency.mallgoodstype.entity.MallGoodsType;
import com.ruoyi.frequency.mallgoodstype.mapper.MallGoodsTypeMapper;
import com.ruoyi.frequency.mallgoodstype.service.MallGoodsTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 商品类型Service业务层处理
 *
 * @author liwenlong
 * @date 2024-01-25
 */
@Service
public class MallGoodsTypeServiceImpl extends ServiceImpl<MallGoodsTypeMapper, MallGoodsType>  implements MallGoodsTypeService
{
    @Autowired
    private MallGoodsTypeMapper mallGoodsTypeMapper;

    /**
     * 查询商品类型
     *
     * @param id 商品类型主键
     * @return 商品类型
     */
    @Override
    public MallGoodsType selectMallGoodsTypeById(Long id)
    {
        return mallGoodsTypeMapper.selectMallGoodsTypeById(id);
    }

    /**
     * 查询商品类型列表
     *
     * @param mallGoodsType 商品类型
     * @return 商品类型
     */
    @Override
    public List<MallGoodsType> selectMallGoodsTypeList(MallGoodsType mallGoodsType)
    {
        return mallGoodsTypeMapper.selectMallGoodsTypeList(mallGoodsType);
    }

    /**
     * 新增商品类型
     *
     * @param mallGoodsType 商品类型
     * @return 结果
     */
    @Override
    public int insertMallGoodsType(MallGoodsType mallGoodsType)
    {
        mallGoodsType.setCreateData();
        return mallGoodsTypeMapper.insert(mallGoodsType);
    }

    /**
     * 修改商品类型
     *
     * @param mallGoodsType 商品类型
     * @return 结果
     */
    @Override
    public int updateMallGoodsType(MallGoodsType mallGoodsType)
    {
        mallGoodsType.setUpdateData();
        return mallGoodsTypeMapper.updateMallGoodsType(mallGoodsType);
    }

    /**
     * 批量删除商品类型
     *
     * @param ids 需要删除的商品类型主键
     * @return 结果
     */
    @Override
    public int deleteMallGoodsTypeByIds(Long[] ids,Integer delFlag)
    {
        this.lambdaUpdate().set(MallGoodsType::getDelFlag,delFlag).in(MallGoodsType::getId,ids).update();
        return ids.length;
    }

}
